from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String

Infoalign_V0_1_0 = CommandToolBuilder(tool="infoalign", base_command=["infoalign"], inputs=[ToolInput(tag="in_matrix", input_type=Boolean(optional=True), prefix="-matrix", doc=InputDocumentation(doc="matrix     [EBLOSUM62 for protein, EDNAFULL for DNA]\nThis is the scoring matrix file used when\ncomparing sequences. By default it is the\nfile 'EBLOSUM62' (for proteins) or the file\n'EDNAFULL' (for nucleic sequences). These\nfiles are found in the 'data' directory of\nthe EMBOSS installation.")), ToolInput(tag="in_refseq", input_type=Boolean(optional=True), prefix="-refseq", doc=InputDocumentation(doc="string     [0] If you give the number in the alignment\nor the name of a sequence, it will be taken\nto be the reference sequence. The reference\nsequence is the one against which all the\nother sequences are compared. If this is set\nto 0 then the consensus sequence will be\nused as the reference sequence. By default\nthe consensus sequence is used as the\nreference sequence. (Any string)")), ToolInput(tag="in_html", input_type=Boolean(optional=True), prefix="-html", doc=InputDocumentation(doc="boolean    [N] Format output as an HTML table")), ToolInput(tag="in_plurality", input_type=Boolean(optional=True), prefix="-plurality", doc=InputDocumentation(doc="float      [50.0] Set a cut-off for the % of positive\nscoring matches below which there is no\nconsensus. The default plurality is taken as\n50% of the total weight of all the\nsequences in the alignment. (Number from\n0.000 to 100.000)")), ToolInput(tag="in_identity", input_type=Boolean(optional=True), prefix="-identity", doc=InputDocumentation(doc="float      [0.0] Provides the facility of setting the\nrequired number of identities at a position\nfor it to give a consensus. Therefore, if\nthis is set to 100% only columns of\nidentities contribute to the consensus.\n(Number from 0.000 to 100.000)")), ToolInput(tag="in_only", input_type=Boolean(optional=True), prefix="-only", doc=InputDocumentation(doc="boolean    [N] This is a way of shortening the command\nline if you only want a few things to be\ndisplayed. Instead of specifying:\n'-nohead -nousa -noname -noalign -nogaps\n-nogapcount -nosimcount -noidcount\n-nodiffcount -noweight'\nto get only the sequence length output, you\ncan specify\n'-only -seqlength'")), ToolInput(tag="in_heading", input_type=Boolean(optional=True), prefix="-heading", doc=InputDocumentation(doc="boolean    [@(!$(only))] Display column headings")), ToolInput(tag="in_usa", input_type=Boolean(optional=True), prefix="-usa", doc=InputDocumentation(doc="boolean    [@(!$(only))] Display the USA of the")), ToolInput(tag="in_seq_length", input_type=Boolean(optional=True), prefix="-seqlength", doc=InputDocumentation(doc="boolean    [@(!$(only))] Display 'seqlength' column")), ToolInput(tag="in_align_length", input_type=Boolean(optional=True), prefix="-alignlength", doc=InputDocumentation(doc="boolean    [@(!$(only))] Display 'alignlength' column")), ToolInput(tag="in_gaps", input_type=Boolean(optional=True), prefix="-gaps", doc=InputDocumentation(doc="boolean    [@(!$(only))] Display number of gaps")), ToolInput(tag="in_gap_count", input_type=Boolean(optional=True), prefix="-gapcount", doc=InputDocumentation(doc="boolean    [@(!$(only))] Display number of gap")), ToolInput(tag="in_description", input_type=Boolean(optional=True), prefix="-description", doc=InputDocumentation(doc="boolean    [@(!$(only))] Display 'description' column")), ToolInput(tag="in_sequence", input_type=String(), position=0, doc=InputDocumentation(doc="-name               boolean    [@(!$(only))] Display 'name' column"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Infoalign_V0_1_0().translate("wdl", allow_empty_container=True)

